# Add files and directories to ship with the application 
# by adapting the examples below.
translations.source = translations/*.qm
translations.target = /share/l10n
DEPLOYMENTFOLDERS = translations

symbian:TARGET.UID3 = 0xE119EAAE

# Smart Installer package's UID
# This UID is from the protected range 
# and therefore the package will fail to install if self-signed
# By default qmake uses the unprotected range value if unprotected UID is defined for the application
# and 0x2002CCCF value if protected UID is given to the application
#symbian:DEPLOYMENT.installer_header = 0x2002CCCF

# Allow network access on Symbian
symbian:TARGET.CAPABILITY += NetworkServices

# If your application uses the Qt Mobility libraries, uncomment
# the following lines and add the respective components to the 
# MOBILITY variable. 
# CONFIG += mobility
# MOBILITY +=

QT += network

SOURCES += \
    src/forecastwidget.cpp \
    src/medarddownloader.cpp \
    src/mainwindow.cpp \
    src/main.cpp \
    src/aboutdialog.cpp

HEADERS += \
    src/forecastwidget.h \
    src/medarddownloader.h \
    src/mainwindow.h \
    src/aboutdialog.h

FORMS +=

# Please do not modify the following two lines. Required for deployment.
include(deployment.pri)
qtcAddDeployment()

contains(MEEGO_EDITION,harmattan): {
    MEEGO_VERSION_MAJOR = 1
    MEEGO_VERSION_MINOR = 2
    MEEGO_VERSION_PATCH = 0
    DEFINES += MEEGO_EDITION_HARMATTAN
    CONFIG += meegotouch
}

OTHER_FILES += \
    qtc_packaging/debian_fremantle/rules \
    qtc_packaging/debian_fremantle/README \
    qtc_packaging/debian_fremantle/copyright \
    qtc_packaging/debian_fremantle/control \
    qtc_packaging/debian_fremantle/compat \
    qtc_packaging/debian_fremantle/changelog \
    qtc_packaging/debian_harmattan/rules \
    qtc_packaging/debian_harmattan/README \
    qtc_packaging/debian_harmattan/manifest.aegis \
    qtc_packaging/debian_harmattan/copyright \
    qtc_packaging/debian_harmattan/control \
    qtc_packaging/debian_harmattan/compat \
    qtc_packaging/debian_harmattan/changelog

TRANSLATIONS += \
    translations/medard_cs.ts \
    translations/medard_en.ts \
    translations/medard_sk.ts

